Bug 248979 - initrd no longer works, switch to initramfs
initrd no longer works, switch to initramfs
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Brich
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-19 19:50 EDT by Pierre Ossman
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-17 06:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
initramfs.patch (2.76 KB, patch)
2007-07-19 19:50 EDT, Pierre Ossman
no flags Details | Diff

  None (edit)
Description Pierre Ossman 2007-07-19 19:50:26 EDT
I'm not sure anyone actually maintains this package, but here goes...

The current kernel in rawhide no longer supports ext2 built-in. So the initrd
that netboot has been using no longer works.

The long term solution is to do what a "normal" boot does, use an initramfs.

Included file changes the build script to create an initramfs instead of an initrd.

(Bug 210773 and bug 210774 can probably be closed with this change aswell)
Comment 1 Pierre Ossman 2007-07-19 19:50:26 EDT
Created attachment 159624 [details]
Comment 2 Pierre Ossman 2007-07-19 20:18:43 EDT
As you cannot pivot over rootfs, you need to do something like this in the
startup script:

exec /sbin/switch_root -c /dev/console /mnt /sbin/init
Comment 3 Jesse Keating 2007-07-20 17:40:32 EDT
Trying to track down proper system-config-netboot maintainer.
Comment 4 Pierre Ossman 2007-08-10 07:01:17 EDT
How's that hunting going, Jesse? :)
Comment 5 Jesse Keating 2007-08-10 07:15:29 EDT
fleite actually owns this.  Not me.
Comment 6 Radek Brich 2007-10-17 06:22:33 EDT
fixed in 0.1.42

Note You need to log in before you can comment on or make changes to this bug.